Bug Hunting Session
Bug 90315 - FILEOPEN: RTF import incorrectly sets table columns positions
Summary: FILEOPEN: RTF import incorrectly sets table columns positions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2 tar...
Keywords: notBibisectable, regression
Depends on:
Blocks: RTF-Tables
  Show dependency treegraph
 
Reported: 2015-03-29 03:14 UTC by Luke
Modified: 2017-10-05 22:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example RTF table (151.65 KB, application/rtf)
2015-03-29 03:14 UTC, Luke
Details
DOCX importer correctly sets the left column location (38.45 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-03-29 03:14 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-03-29 03:14:08 UTC
Created attachment 114435 [details]
Example RTF table

The RTF importer is incorrectly setting the left table column location on pages with 2 columns. It's positioned exactly 1/8" too far to the left, causing it to not be drawn.

Steps to reproduce:
1. Open TableBug.docx
2. Open TableBug.rtf
3. Compare

If you manually move the left column 1/8" to the right(1 tick mark), it will match the .docx file exactly and be displayed correctly.
Comment 1 Luke 2015-03-29 03:14:53 UTC
Created attachment 114436 [details]
DOCX importer correctly sets the left column location
Comment 2 A (Andy) 2015-03-29 07:41:20 UTC
Reproducible with LO 4.4.1.2, Win 8.1

in MSO both files are shown correctly
Comment 3 Matthew Francis 2015-04-06 01:39:16 UTC
Although lots of other details are wrong that far back, the section column widths and table horizontal extent appear the same between the two files in LO 3.3, while by 3.6 the columns are different in the RTF. (3.5 doesn't open the RTF)

So for the sake of argument let's call this a regression, though that's probably not very interesting in this case
Comment 4 Commit Notification 2015-05-23 19:47:32 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e18adb7369d140f33b947668a69da2fa78738e7b

tdf#90315 RTF import: fix \colsx default value

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Luke 2015-05-24 06:53:50 UTC
Verified Fixed in Version: 5.1.0.0.alpha1+
Build ID: 891304bb0ad3af9d8d73f947f25477abf57485a4

Nice work Miklos! Your RTF importer has come a long ways. Thank you.
Comment 6 Commit Notification 2015-05-26 08:14:44 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5101c13a3e54256bd79c412484e71d6d0f269187&h=libreoffice-5-0

tdf#90315 RTF import: fix \colsx default value

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-06-11 11:14:03 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=065a4d93287c0c3f16c516004c078fca948e3fc4&h=libreoffice-4-4

tdf#90315 RTF import: fix \colsx default value

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 10:59:03 UTC Comment hidden (obsolete)